/**
 * 
 */
package de.mpc.prolic.model;


/**
 * Represents a cleavage site of an enzyme. 
 * @author Michael Kohl
 *
 */
public class CleavageSite {

	/*******************************************************************************
	 * Members
	 ******************************************************************************/
	private boolean isN_terminalCleavage; 			//Specifies whether the enzyme cleaves N-Terminal from the cleavage site (false= The Enzyme cleaves C-Terminal from the cleavage site)
	private char aa_site;							//Specifies the name of the amino acid, which induces cleavage of the protein sequence performed by this specific enzyme.
													
	/**
	 * Empty constructor
	 */
	public CleavageSite() {
		
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	public void setIsN_terminalCleavage(boolean isN_TerminalCleavage_){
		this.isN_terminalCleavage=isN_TerminalCleavage_;
	}
	
	public boolean getIsN_terminalCleavage(){
		return this.isN_terminalCleavage;
	}
	
	public void setAa_site(char aa){
		this.aa_site=aa;
	}
	
	public char getAa_site(){
		return this.aa_site;
	}
}
