/**
 * 
 */
package de.mpc.prolic.model;

import java.util.ArrayList;

/**
 * This class represents an enzymatic digest. A digest can be performed with one enzyme.
 * However, it is intended to support digestion that is carried out with more than one enzyme in the future. 
 * Therefore, instances of this class basically store an ArrayList of enzyme instances.
 * @author Michael Kohl
 */
public class Digest {

	/*******************************************************************************
	 * Members
	 ******************************************************************************/	
	private ArrayList<Enzyme> enzymes;
	
	/**
	 * Empty constructor
	 */
	public Digest() {
		enzymes = new ArrayList<Enzyme>();
	}
	
	public void addEnzyme(Enzyme e){
		enzymes.add(e);
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	public ArrayList<Enzyme> getEnzymes(){
		return this.enzymes;
	}
}
