/**
 * 
 */
package de.mpc.prolic.model;

/**
 * A Probe instance is the representation of a small DNA reporter molecule that is used to measure expression levels of related transcripts and 
 * subsequently genes by use of DNA microarray experiments. This class is designed for future versions of ProLiC that consider also gene information 
 * and is currently not in use. 
 * @author Michael Kohl
 *
 */
public class Probe extends Biomolecule {

	/*******************************************************************************
	 * Members
	 ******************************************************************************/	
	private Transcript relatedTranscript;	 	//Each Probe has a reference to its origin, i.e the transcript, which is related to this probe. 

	/*******************************************************************************
	 * Constructors
	 ******************************************************************************/
	/**
	 * Empty Constructor
	 */
	public Probe() {

	}

	/**
	 * @param sequence_
	 */
	public Probe(String sequence_) {
		super(sequence_);
	}

	/**
	 * @param sequence_
	 * @param origin_
	 */
	public Probe(String sequence_, String origin_) {
		super(sequence_, origin_);
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/	
	public Transcript getRelatedTranscript(){
		return relatedTranscript;
	}
	
	public void setRelatedProt(Transcript relatedTranscript_){
		relatedTranscript = relatedTranscript_;
	}	

}
